Fetch a tweet by its X.com URL
curl --request GET \
--url https://data-tools.prd.arrays.org/api/v1/social-feeds/x/by-url \
--header 'X-API-Key: <api-key>'{
"data": [
{
"bookmark_count": 34,
"content_type": "original",
"conversation_id": "1799123456789",
"display_name": "Cathie Wood",
"entity_mentions": {
"people": [
{
"confidence": 123,
"mention_method": "<string>",
"person_id": 123
}
],
"tickers": [
{
"confidence": 123,
"mention_method": "<string>",
"ticker": "<string>"
}
],
"topics": [
{
"matched_keywords": [
"<string>"
],
"topic_id": "<string>"
}
]
},
"first_observed_at": "2025-04-25T12:00:00Z",
"full_text": "Disruptive innovation will continue.",
"hashtags": [
"AI",
"ETF"
],
"in_reply_to_user_id": "44196397",
"last_edited_at": "2025-04-25T12:40:00Z",
"last_observed_at": "2025-04-25T12:40:00Z",
"like_count": 1234,
"media": [
{
"alt_text": "<string>",
"duration_ms": 15000,
"height": 800,
"media_key": "3_1234",
"preview_image_url": "<string>",
"type": "photo",
"url": "https://pbs.twimg.com/media/foo.jpg",
"variants": [
{
"bit_rate": 123,
"content_type": "video/mp4",
"url": "<string>"
}
],
"width": 1200
}
],
"media_json": "<string>",
"mentions": [
"elonmusk"
],
"meta_json": "<string>",
"platform_id": "1799123456789",
"published_at": "2025-04-25T12:34:56Z",
"quote_count": 12,
"referenced_tweet_id": "1799000000001",
"referenced_tweet_type": "quoted",
"referenced_tweets": [
{
"author_display_name": "Elon Musk",
"author_external_id": "44196397",
"author_handle": "elonmusk",
"id": "1799000000001",
"published_at": "2025-04-25T12:34:56Z",
"text": "<string>",
"type": "quoted"
}
],
"reply_count": 78,
"retweet_count": 56,
"source": "<unknown>",
"twitter_handle": "CathieDWood",
"url": "https://x.com/CathieDWood/status/1799123456789",
"view_count": 90000
}
],
"error": {
"code": "RESOURCE_NOT_FOUND",
"details": [
{
"field": "<string>",
"got": "<string>",
"reason": "<string>"
}
],
"docs_url": "<string>",
"examples": [
"<string>"
],
"hint": "<string>",
"message": "The requested resource was not found.",
"suggestions": [
"<string>"
]
},
"pagination": "<unknown>",
"request_id": "<string>",
"success": true
}x-feed
Fetch a tweet by its X.com URL
OpenAPI JSON Spec Fetch a single tweet by its canonical x.com / twitter.com URL.
GET
/
v1
/
social-feeds
/
x
/
by-url
Fetch a tweet by its X.com URL
curl --request GET \
--url https://data-tools.prd.arrays.org/api/v1/social-feeds/x/by-url \
--header 'X-API-Key: <api-key>'{
"data": [
{
"bookmark_count": 34,
"content_type": "original",
"conversation_id": "1799123456789",
"display_name": "Cathie Wood",
"entity_mentions": {
"people": [
{
"confidence": 123,
"mention_method": "<string>",
"person_id": 123
}
],
"tickers": [
{
"confidence": 123,
"mention_method": "<string>",
"ticker": "<string>"
}
],
"topics": [
{
"matched_keywords": [
"<string>"
],
"topic_id": "<string>"
}
]
},
"first_observed_at": "2025-04-25T12:00:00Z",
"full_text": "Disruptive innovation will continue.",
"hashtags": [
"AI",
"ETF"
],
"in_reply_to_user_id": "44196397",
"last_edited_at": "2025-04-25T12:40:00Z",
"last_observed_at": "2025-04-25T12:40:00Z",
"like_count": 1234,
"media": [
{
"alt_text": "<string>",
"duration_ms": 15000,
"height": 800,
"media_key": "3_1234",
"preview_image_url": "<string>",
"type": "photo",
"url": "https://pbs.twimg.com/media/foo.jpg",
"variants": [
{
"bit_rate": 123,
"content_type": "video/mp4",
"url": "<string>"
}
],
"width": 1200
}
],
"media_json": "<string>",
"mentions": [
"elonmusk"
],
"meta_json": "<string>",
"platform_id": "1799123456789",
"published_at": "2025-04-25T12:34:56Z",
"quote_count": 12,
"referenced_tweet_id": "1799000000001",
"referenced_tweet_type": "quoted",
"referenced_tweets": [
{
"author_display_name": "Elon Musk",
"author_external_id": "44196397",
"author_handle": "elonmusk",
"id": "1799000000001",
"published_at": "2025-04-25T12:34:56Z",
"text": "<string>",
"type": "quoted"
}
],
"reply_count": 78,
"retweet_count": 56,
"source": "<unknown>",
"twitter_handle": "CathieDWood",
"url": "https://x.com/CathieDWood/status/1799123456789",
"view_count": 90000
}
],
"error": {
"code": "RESOURCE_NOT_FOUND",
"details": [
{
"field": "<string>",
"got": "<string>",
"reason": "<string>"
}
],
"docs_url": "<string>",
"examples": [
"<string>"
],
"hint": "<string>",
"message": "The requested resource was not found.",
"suggestions": [
"<string>"
]
},
"pagination": "<unknown>",
"request_id": "<string>",
"success": true
}Authorizations
API Key authentication. Example: "your-api-key-here"
Query Parameters
Canonical x.com / twitter.com tweet URL
⌘I

